Bug 215520 - Update creates incomplete ramdisk
Update creates incomplete ramdisk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 10:11 EST by Ulrich Drepper
Modified: 2008-02-26 18:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2006-11-14 10:11:15 EST
Description of problem:
I had this problem ever since installing the virtual machine for rawhide.  It
was an FC5 installation which got updated to FC6 and now rawhide.

The problem is that none of the xen device drivers is found on the automatically
created ramdisk.  I manually have to create a ramdisk with xenblk, xennet, and
blkbk on it (maybe a subset is sufficient).  The domain gets a separate
partitial on the disk as the boot and root device.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2849.fc6.x86_64

How reproducible:
always

Steps to Reproduce:
1.update kernel
2.reboot
3.
  
Actual results:
reboot fails because root device cannot be accessed

Expected results:
successful boot

Additional info:
Comment 2 Mark McLoughlin 2007-03-30 07:14:30 EDT
I think this is down to the FC5 xenU kernel having blkfront builtin, so your
modprobe.conf doesn't contain

  alias scsi_hostadapter xenblk

To work around it, you could just add that to your modprobe.conf or add
MODULES="xenblk" to /etc/sysconfig/mkinitrd

How did you upgrade? Was it an anaconda upgrade or a yum upgrade? AFAIK, this
would work fine with an anaconda upgrade but isn't expected to work with a yum
upgrade (which sucks, but ...)
Comment 3 Mark McLoughlin 2007-03-30 07:30:17 EDT
I could be wrong about an anaconda upgrade being expect to work, it looks like
it doesn't write out a new modprobe.conf on upgrade (which makes sense I guess)
Comment 4 Red Hat Bugzilla 2007-07-24 20:02:55 EDT
change QA contact
Comment 5 Chris Lalancette 2008-02-26 18:43:00 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.